# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at

#   http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

- id: hero.title
  translation: Apache Flink

- id: hero.subtitle
  translation: Stateful Computations over Data Streams

- id: hero.blurb
  translation: Apache Flink is a framework and distributed processing engine for stateful computations over unbounded and bounded data streams. Flink has been designed to run in all common cluster environments, perform computations at in-memory speed and at any scale.

- id: learn-more
  translation: Learn More

- id: flink-capabilities
  translation: Flink Capabilities

- id: correctness-guarentees
  translation: Correctness guarantees

- id: correctness-guarentees.exactly-once
  translation: Exactly-once state consistency

- id: correctness-guarentees.event-time
  translation: Event-time processing

- id: correctness-guarentees.late-data-handling
  translation: Sophisticated late data handling

- id: layered-apis
  translation: Layered APIs

- id: layered-apis.sql
  translation: SQL on Stream & Batch Data

- id: layered-apis.data-stream-set
  translation: DataStream API

- id: layered-apis.process-function
  translation: ProcessFunction (Time & State)

- id: operational-focus
  translation: Operational focus

- id: operational-focus.flexible-deployment
  translation: Flexible deployment

- id: operational-focus.high-availability
  translation: High-availability setup

- id: operational-focus.savepoints
  translation: Savepoints

- id: scalability
  translation: Scalability

- id: scalability.scale-out
  translation: Scale-out architecture

- id: scalability.large-state
  translation: Support for very large state

- id: scalability.incremental-checkpoints
  translation: Incremental Checkpoints

- id: performance
  translation: Performance

- id: performance.low-latency
  translation: Low latency

- id: performance.high-throughput
  translation: High throughput

- id: performance.in-memory
  translation: In-Memory computing

- id: use-cases
  translation: Use Cases

- id: use-cases.event-driven
  translation: Event Driven Applications

- id: use-cases.event-driven.description
  translation: An event-driven application is a stateful application that ingests events from one or more event streams and reacts to incoming events by triggering computations, state updates, or external actions.

- id: use-cases.stream-batch
  translation: Stream & Batch Analytics

- id: use-cases.stream-batch.description
  translation: Analytical jobs extract information and insight from raw data. Apache Flink supports traditional batch queries on bounded data sets and real-time, continuous queries from unbounded, live data streams.

- id: use-cases.pipelines-etl
  translation: Data Pipelines & ETL

- id: use-cases.pipelines-etl.description
  translation: Extract-transform-load (ETL) is a common approach to convert and move data between storage systems.

- id: use-cases.learn-more
  translation: Learn more about Flink use cases

- id: blog-posts
  translation: Recent Flink blogs

- id: footer.disclaimer
  translation: The contents of this website are © 2024 Apache Software Foundation under the terms of the Apache License v2. Apache Flink, Flink, and the Flink logo are either registered trademarks or trademarks of The Apache Software Foundation in the United States and other countries.

- id: footer.flink-packages
  translation: flink-packages.org

- id: footer.apache
  translation: Apache Software Foundation

- id: footer.license
  translation: License

- id: footer.security
  translation: Security

- id: footer.donate
  translation: Donate

- id: footer.thanks
  translation: Thanks

- id: footer.translation
  translation: 中文版

- id: footer.translation.target
  translation: /zh/

- id: footer.blog
  translation: Flink blog

- id: footer.github
  translation: Github

- id: footer.twitter
  translation: Twitter

- id: blogs.recent
  translation: Recent Flink blogs

- id: blogs.read-more
  translation: Read more blog posts
